Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-validate /usr/bin/xvfb-run gcc-c++ qt5-base-devel qt5-wayland-devel
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define fedora 24
%bcond_with doxy

Name:           trojita

Version:        0.6
Release:        alt2_5

# Almost everything: dual-licensed under the GPLv2 or GPLv3
# (with KDE e.V. provision for relicensing)
# src/XtConnect: BSD
# src/Imap/Parser/3rdparty/kcodecs.*: LGPLv2
# Nokia imports: LGPLv2.1 or GPLv3
# src/Imap/Parser/3rdparty/rfccodecs.cpp: LGPLv2+
# src/qwwsmtpclient/: GPLv2
## note that LGPL 2.1 short name is LGPLv2 according to
## https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
#License:        GPLv2+ and LGPLv2+ and BSD
License:        GPLv2+

Summary:        IMAP e-mail client
URL:            http://%{name}.flaska.net

Source0:        http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2

# manually generated manpage with help2man
# help2man -o trojita.1 --no-info --no-discard-stderr -h --version-string=0.6 /usr/bin/trojita
Source1:        trojita.1

BuildRequires: ctest cmake
BuildRequires:  pkgconfig(zlib)
BuildRequires:  help2man

BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  qtkeychain-qt5-devel
BuildRequires:  qt5-tools-devel

%if 0%{?fedora}
BuildRequires:  ragel
%endif

%if %{with doxy}
BuildRequires:  doxygen libgraphviz
%endif

# needs for %%check
BuildRequires:  desktop-file-utils
%if 0%{?fedora}
BuildRequires:  libappstream-glib
%endif
BuildRequires:  xorg-x11-xvfb

# provide some icons
Requires:       icon-theme-hicolor
Source44: import.info

%description
TrojitA. is a IMAP e-mail client which:
  * Enables you to access your mail anytime, anywhere.
  * Does not slow you down. If we can improve the productivity of an e-mail
    user, we better do.
  * Respects open standards and facilitates modern technologies. We value
    the vendor-neutrality that IMAP provides and are committed to be as
    inter-operable as possible.
  * Is efficient a.. be it at conserving the network bandwidth, keeping memory
    use at a reasonable level or not hogging the system's CPU.
  * Can be used on many platforms. One UI is not enough for everyone, but our
    IMAP core works fine on anything from desktop computers to cell phones
    and big ERP systems.
  * Plays well with the rest of the ecosystem. We don't like reinventing wheels,
    but when the existing wheels quite don't fit the tracks, we're not afraid
    of making them work.

This application is heavily based on Qt and uses WebKit.


%prep
%setup -q

# ignore unsupported translations
rm po/%{name}_common_ast.po po/%{name}_common_nds.po

%build
# change path for the library
# https://bugs.kde.org/show_bug.cgi?id=332579
%{fedora_cmake} \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir}/%{name} \
    -DCMAKE_INSTALL_RPATH=%{_libdir}/%{name} \
    -DBUILD_SHARED_LIBS:BOOL=OFF \
    -DWITH_QT5:BOOL=ON
%make_build

%if %{with doxy}
doxygen src/Doxyfile
%endif

%install
%makeinstall_std
%find_lang %{name}_common --with-qt

install -m644 -p -D %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
# appstream is not available at EPEL
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml ||:
# do tests in some fake X
#xvfb-run -a ctest %{?_smp_mflags} --output-on-failure -VV


%files -f %{name}_common.lang
%doc LICENSE
%doc README src/Doxyfile
%{_mandir}/man1/%{name}.1*
%{_libdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/be.contacts
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%if %{with doxy}
# optional developer documentation
%package doc
Group: Other
BuildArch: noarch
Summary:   Documentation files for %{name}

%description doc
%{summary}.

%files doc
%doc LICENSE
%doc _doxygen/*
%endif


%changelog
* Sun Nov 06 2016 Cronbuild Service <cronbuild@altlinux.org> 0.6-alt2_5
- rebuild to get rid of unmets

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_5
- converted for ALT Linux by srpmconvert tools

